Software Archive
Read-only legacy content
17061 Discussions

How to install Vtune Amplifier 2015 vtsspp on MPSS2.1.6720

Xiduo_T_
Beginner
262 Views

I'm using mpss_gold_update_3-2.1.6720, with a uos version of 2.6.38.8-g5f2543d.

I'm now trying to install the vtune amplifier 2015 on this mpss, so I need sep3_15-k1om-2.6.38.8-g5f2543dsmp.ko and vtsspp-k1om-2.6.38.8-g5f2543dsmp.ko. But I can find only sep3_15-k1om-2.6.38.8-g5f2543dsmp.ko and vtsspp-k1om-2.6.38.8-gd50f2a5smp.ko, but not vtsspp-k1om-2.6.38.8-g5f2543dsmp.ko.

So, how can I build a vtsspp-k1om-2.6.38.8-g5f2543dsmp.ko? I've downloaded the mpss_gold_update_3_src-2.1.6720, and extraced the package-full_src-k1om, but I can't build successfully with "/opt/vtune/vtune_amplifier_xe/mic_sepdk/src/vtsspp/build_mic.sh      --build clean all".

Any help, please?

0 Kudos
4 Replies
Frances_R_Intel
Employee
262 Views

May I ask why you are using mpss_gold_update_3-2.1.6720 and not either MPSS 3.4 or 3.5? I am not sure you can install new compiler tools on such an old MPSS.

0 Kudos
Dmitry_P_Intel1
Employee
262 Views

I would also recommend to move to newer a MPSS 3.x.

Stack sampling that is enabled by VTSS is supported with 3.x.

0 Kudos
Xiduo_T_
Beginner
262 Views

The machine with the Phi card is used by many other colleagues of mine, so I can't update it by myself. I have persuaded them to update mpss to 3.x. Thank you.

0 Kudos
Frances_R_Intel
Employee
262 Views

Let us know if they run into any problems. A number of file names and locations changed between the 2.x and 3.x versions of the MPSS. They should use the uninstall procedure from the old MPSS to remove the old MPSS, so that they catch the rpm filename changes. Also they will want to follow the installation directions closely. The README.txt file now has just the basic installation instructions; the MPSS User's Guide has everything beyond that. The 3.5 version of the User's Guide has some good background information and suggestions as well.

0 Kudos
Reply